Bug 1274426 - Windows - agent keeps old version of rhqstorage plugin
Windows - agent keeps old version of rhqstorage plugin
Status: CLOSED CURRENTRELEASE
Product: JBoss Operations Network
Classification: JBoss
Component: Productization (Show other bugs)
JON 3.3.4
Unspecified Unspecified
unspecified Severity medium
: CR01
: JON 3.3.4
Assigned To: Simeon Pinder
Filip Brychta
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-22 12:55 EDT by Filip Brychta
Modified: 2015-10-29 11:55 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-29 11:55:26 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Filip Brychta 2015-10-22 12:55:52 EDT
Description of problem:
After update of JON 3.3.0.GA to JON3.3.4.ER2 the agent keeps old version of rhq-rhqstorage-plugin.



Version-Release number of selected component (if applicable):
internal CR01 candidate

How reproducible:
2/2

Steps to Reproduce:
1. install JON3.3.0.GA
2. apply the patch
3. update plugins on agent

Actual results:
There are two rhqstorage plugins, old and new one
$ find rhq-agent/ -name '*storage-plugin*'
rhq-agent/plugins/rhq-rhqstorage-plugin-4.12.0.JON330GA-redhat-1.jar
rhq-agent/plugins/rhq-rhqstorage-plugin-4.12.0.JON330GA.jar

Expected results:
There should be only new version.

Additional info:
Together with bz 1274425 it's blocking a fix for bz1229978
Comment 1 Simeon Pinder 2015-10-24 06:56:12 EDT
This is fixed with commit: to jon.git
0da4d1a82f039677

The fix was to modify the windows apply-updates script to explicitly rename the 
rhq-cassandra and rhq-rhqstorage plugins from
 *4.12.0.JON330GA.jar to *4.12.0.JON330GA.jar.REJECTED
and to lay down the newer versions when an agent is detected and can be patched.
 *JON330GA-redhat-1.jar.
Comment 2 Simeon Pinder 2015-10-24 07:09:13 EDT
Moving to ON_QA as available for test in latest brew build:
https://brewweb.devel.redhat.com/buildinfo?buildID=462976

*Note* jon-server-patch-3.3.0.GA.zip from above maps to CR01 build of JON 3.3.4.
Comment 3 Filip Brychta 2015-10-26 06:05:43 EDT
Verified on
Version :	
3.3.0.GA Update 04
Build Number :	
e9ed05b:aa79ebd

Note You need to log in before you can comment on or make changes to this bug.